package com.beifan.foxlibc.modules.configuration;

import com.beifan.foxlibc.modules.controller.AuthenticationController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @author lts
 * Create Time 2022/7/4
 */
@Configuration
public class WebMvcConfiguration implements WebMvcConfigurer {

    @Autowired AuthenticationController authenticationController;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(new ControllerInterceptor(authenticationController));
    }

}
