package com.beifan.foxlibc;

import com.beifan.foxlibc.framework.spring.enable.EnableDevKit;
import com.beifan.foxlibc.framework.utils.JvmLauncher;
import com.beifan.foxlibc.framework.utils.io.Files;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

import java.io.IOException;

@EnableDevKit
@EnableDiscoveryClient
@SpringBootApplication
public class FoxlibcBootstrap {

    static {
        System.setProperty("druid.mysql.usePingMethod","false");
    }

    public static void main(String[] args) throws IOException {
        JvmLauncher.launch(() -> {
            SpringApplication.run(FoxlibcBootstrap.class, args);
        });
    }

}