package com.beifan.foxlibc.framework.exception;

import lombok.extern.slf4j.Slf4j;

/**
 * 业务异常
 *
 * @author lts
 * Create Time 2022/6/30
 */
@Slf4j
public class BusinessException extends SystemException {

    public BusinessException() {
    }

    public BusinessException(String message) {
        super(message);
    }

    public BusinessException(String message, Throwable cause) {
        super(message, cause);
    }

    public BusinessException(Throwable cause) {
        super(cause);
    }

    public BusinessException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }

}
