package com.beifan.foxlibc.framework.utils;

import com.alibaba.fastjson.JSONObject;
import com.beifan.foxlibc.framework.utils.security.DoubleCoder;

/**
 * Jwt工具类
 *
 * @author lts
 * Create Time 2022/7/1
 */
public class JwtUtils {

    /**
     * 获取JWT头部荷载（payload)
     * @param token JWT Token
     */
    public static String payload(String token, String key)
    {
        String payloadBase64 = StringUtils.cutstring(token, ".");
        JSONObject payload = JSONObject.parseObject(new String(DoubleCoder.BASE64DECODE(payloadBase64)));
        return payload.getString(key);
    }

}
