package com.beifan.foxlibc.modules.pojo.model;

import lombok.Data;

/**
 * 系统设置对象
 *
 * @author lts
 * Create Time 2022/7/1
 */
@Data
public class SystemSet {

    public static String ONLY_NUMBER = "1"; /* 验证码生成时只包含数字 */
    public static String CASE_SENSITIVE = "1"; /* 验证码校验时区分大小写 */

    private Integer setId;
    private Boolean openUserGroup;
    private Boolean userOfficerMulti;
    private Boolean openRole;
    private Integer userIdleDays;
    private Integer sysLockMinutes;
    private String pwdCons;
    private Integer pwdValidTime;
    private Integer loginErrorCount;
    private Boolean openAuthData;
    private Boolean hasAppId;
    private Integer setVersion;
    private String pwdMessage;
    private String openAnalysisConfig;
    private String verificationCodeLength = "6";
    private String verificationCodeType = "1"; /* 1仅数字；2数字英文 */
    private Boolean verificationCodeAa = false; /* 1英文区分大小写；0英文不区分大小写 */
    private Boolean verificationCode = true; /* 开启验证码验证 */
    private Boolean allowMultipleMachineLogins = false; /* 允许多机器登录 */
}
